/*
(C)Board of Trustees of the University of Illinois, 1992
Program conceived by Jeremy Atack and Fred Bateman
Developed by Mary Eschelbach Gregson
Programmed by Timothy Gregson
Funded by the National Science Foundation under grants SES-8914861 and SES-9001066
*/

struct  select_out
{
  int   fldnuma;                // field num for FILEA to select on
  int   fldnumb;                // field num for FILEB to select on
  char  string1[64];            // data to select with
  char  string2[64];            // data to select with
};

struct  block_out
{
  int   btype;                // block type
  int   fldnuma;              // field num for FILEA to block on
  int   fldnumb;              // field num for FILEB to block on
  char  fldnamea[11];         // output field name for block file if required
  char  fldnameb[11];         // output field name for block file if required
  int   len;                  // currently only used by FIRSTXLETTERS
};

struct  filter_out
{
  int   ftype;                // filter type
  int   fldnuma;              // field num for FILEA to filter on
  int   fldnumb;              // field num for FILEB to filter on
  int   count1;               // holds # of chars for name or +/- value for numeric
};

struct  match_out
{
  int   mtype;                // match type
  int   fldnuma;              // field number to match on for FILEA   or int fldnum[2];
  int   fldnumb;              // field number to match on for FILEB
  int   level;                // submatch level
  int   data1;                // either number of letters for FIRSTXLETTERS or plus range
  int   data2;                // minus range
};
