/*
(C)Board of Trustees of the University of Illinois, 1992
Program conceived by Jeremy Atack and Fred Bateman
Developed by Mary Eschelbach Gregson
Programmed by Timothy Gregson
Funded by the National Science Foundation under grants SES-8914861 and SES-9001066
*/

#include  <stdio.h>
#include  <stdlib.h>
#include  <string.h>
#include  <ctype.h>

#include  "dblib.h"

#include  "compile.h"

#define   false   0
#define   true    !false

void  main (int argc, char *argv[]);
void  proc_select (FILE *in, FILE *out, int *count, int dbhanda, int dbhandb);
void  proc_block (FILE *in, FILE *out, int *count, int dbhanda, int dbhandb);
void  proc_filter (FILE *in, FILE *out, int *count, int dbhanda, int dbhandb);
void  proc_match (FILE *in, FILE *out, int *count, int dbhanda, int dbhandb);
void  proc_multi_match (FILE *in, FILE *out, int *count, int dbhanda, int dbhandb, int fldnuma, int fldnumb);
char  *get_fld (char *instr, char *outstr, int count);
int   get_token (FILE *fp, char *str, unsigned long *filepos, int kw_flag);
void  get_line (FILE *fp, char *str, unsigned long *filepos, int max_count);
void  skip_line (FILE *fp, unsigned long *filepos);

