rem               This module is copyright Timothy Gregson, 1992
rem      It can be used only with the PC Matchmaker record linkage system
rem  All other use is prohibited, without written consent of copyright holder

TYPE dbstring
        str AS STRING * 255
END TYPE

TYPE fldinfo
        fname AS STRING * 10
        ftype AS STRING * 1
        length AS INTEGER
        decimals AS INTEGER
END TYPE

TYPE fileinfo
        nrecs AS LONG
        reclen AS LONG
        numflds AS LONG
        outflg AS INTEGER
END TYPE

DECLARE FUNCTION dbinit% CDECL
DECLARE FUNCTION dbopen% CDECL (SEG filename AS dbstring, BYVAL mode AS INTEGER)
DECLARE FUNCTION dbdelete% CDECL (BYVAL dbhandls as integer, byval flag as integer)
DECLARE FUNCTION dbgetinfo% CDECL (BYVAL dbhandle AS INTEGER, SEG info AS fileinfo)
DECLARE FUNCTION dbgetrecnum& CDECL (BYVAL dbhandle AS INTEGER)
DECLARE FUNCTION dbread% CDECL (BYVAL dbhandle AS INTEGER)
DECLARE FUNCTION dbpos% CDECL (BYVAL dbhandle AS INTEGER, BYVAL recnum AS LONG)
DECLARE FUNCTION dbfind& CDECL (BYVAL dbhandle AS INTEGER, BYVAL fldnum AS INTEGER, SEG fld AS dbstring)
DECLARE FUNCTION dbgetfnum% CDECL (BYVAL dbhandle AS INTEGER, SEG fld AS dbstring)
DECLARE FUNCTION dbgetfld% CDECL (BYVAL dbhandle AS INTEGER, BYVAL fldnum AS INTEGER, SEG buf AS dbstring)
DECLARE FUNCTION dbgetfldinfo% CDECL (BYVAL dbhandle AS INTEGER, BYVAL fldnum AS INTEGER, SEG info AS fldinfo)
DECLARE FUNCTION dbclose% CDECL (BYVAL dbhandle AS INTEGER)
DECLARE FUNCTION dbnew% CDECL (SEG filename AS dbstring)
DECLARE FUNCTION dbaddfld% CDECL (BYVAL dbhandle AS INTEGER, SEG info AS fldinfo)
DECLARE FUNCTION dbcopyfld% CDECL (BYVAL ndbhandle AS INTEGER, BYVAL odbhandle AS INTEGER, BYVAL ofldnum AS INTEGER)
DECLARE FUNCTION dbcopyall% CDECL (BYVAL ndbhandle AS INTEGER, BYVAL odbhandle AS INTEGER)
DECLARE FUNCTION dbputfld% CDECL (BYVAL dbhandle AS INTEGER, BYVAL fldnum AS INTEGER, SEG buf AS dbstring)
DECLARE FUNCTION dbwrite% CDECL (BYVAL dbhandle AS INTEGER)
