DEFINT A-Z

' $INCLUDE: 'dblib.bi'
' $include: 'general.bi'

rem (C)Board of Trustees of the University of Illinois, 1992
rem Program conceived by Jeremy Atack and Fred Bateman
rem Developed by Mary Eschelbach Gregson
rem Programmed by Timothy Gregson
rem Funded by the National Science Foundation under grants SES-8914861 and SES-9001066

FUNCTION ctobas$ (str AS dbstring)
    y = 1
    tmp$ = ""
'    print left$(str.str, 40)
    WHILE (y < 256 and ASC(MID$(str.str, y, 1)) <> 0)
        tmp$ = tmp$ + MID$(str.str, y, 1)
        y = y + 1
    WEND
'    print tmp$
    ctobas$ = tmp$
END FUNCTION

FUNCTION num$ (value as integer, count as integer, fill$)
    tmp$ = (ltrim$(rtrim$(str$(value))))
    if len(tmp$) > count then
        num$ = string$(count, "*")
    else
        while len(tmp$) < count
            tmp$ = left$(fill$, 1) + tmp$
        wend
        num$ = tmp$
    end if
END FUNCTION

SUB inccount (str as dbstring)
    tmp = val (ctobas$(str)) + 1
    str.str = ltrim$(rtrim$(str$(tmp))) + chr$(0)
END SUB

FUNCTION log2#(x#)
    if (x# < 0.#) then
        print "Invalid data passed to log2 function: ", x#
    endif
    if (x# <> 0.#) then
        log2# = log(x#)/log(2.#)
    else
        log2# = 0.#
    end if
END FUNCTION

function dbltodb$ (value#, length%, decimals%)
    tmp$ = rtrim$(ltrim$(str$(int(value# * (10 ^ decimals)))))
    ret$ = string$(length%, " ")
    mid$(ret$, length% - decimals%, 1) = "."
    if len(tmp$) <= decimals% then
        mid$(ret$, length% - decimals% - 1, 1) = "0"
        mid$(ret$, (length% - len(tmp$) + 1), len(tmp$)) = tmp$
        for i = (length% - decimals% + 1) to (length% - len(tmp$))
            mid$ (ret$, i, 1) = "0"
        next i
    else
        mid$(ret$, length% - decimals% + 1, decimals%) = right$ (tmp$, decimals%)
        mid$(ret$, length% - decimals% - (len(tmp$) - decimals%), len(tmp$) - decimals%) = left$ (tmp$, len(tmp$) - decimals%)
    endif
    dbltodb$ = ret$
end function

function getparm$
    static  bytepos

    ret$ = ""
    bytepos = bytepos + 1
    while (bytepos <= len(command$) and mid$(command$, bytepos, 1) <> " ")
        ret$ = ret$ + mid$(command$, bytepos, 1)
        bytepos = bytepos + 1
    wend
    getparm$ = ret$
end function
