DEFINT A-Z

'$INCLUDE: 'guth.bi'

rem (C)Board of Trustees of the University of Illinois, 1992
rem Program conceived by Jeremy Atack and Fred Bateman
rem Developed by Mary Eschelbach Gregson
rem Programmed by Timothy Gregson
rem Funded by the National Science Foundation under grants SES-8914861 and SES-9001066

FUNCTION guthcomp% (item1$, item2$, exact%)

'   init pointer into strings

ptr = 1

'   init variables with length of each string

len1 = LEN(item1$)
len2 = LEN(item2$)

'   init exact count to zero

exact% = 0

if (abs(len1 - len2) > 2) then
        match = 0
else

'   init match variable to no match
'       0 = no match
'       1 = match

        match = 1

        WHILE ptr <= len1 AND ptr <= len2 AND match = 1
            match = 0
            IF (MID$(item1$, ptr, 1) = MID$(item2$, ptr, 1)) THEN
                match = 1
                exact% = exact% + 1
            ELSEIF (ptr < len2 and MID$(item1$, ptr, 1) = MID$(item2$, ptr + 1, 1)) THEN
                match = 1                       ' set for match by algorithm
            ELSEIF (ptr < len2 - 1 and MID$(item1$, ptr, 1) = MID$(item2$, ptr + 2, 1)) THEN
                match = 1                       ' set for match by algorithm
            ELSEIF ptr > 1 THEN                 ' can only do next step if not first char
                IF (MID$(item1$, ptr, 1) = MID$(item2$, ptr - 1, 1)) THEN
                    match = 1
                ELSEIF (MID$(item1$, ptr - 1, 1) = MID$(item2$, ptr, 1)) THEN
                    match = 1
                ELSEIF (ptr < len1 and MID$(item1$, ptr + 1, 1) = MID$(item2$, ptr, 1)) THEN
                    match = 1
                ELSEIF (ptr < len1 - 1 and MID$(item1$, ptr + 2, 1) = MID$(item2$, ptr, 1)) THEN
                    match = 1
                ELSEIF ((ptr < len1 and ptr < len2) and MID$(item1$, ptr + 1, 1) = MID$(item2$, ptr + 1, 1)) THEN
                    match = 1
                ELSEIF ((ptr < len1 - 1 and ptr < len2 - 1) and MID$(item1$, ptr + 2, 1) = MID$(item2$, ptr + 2, 1)) THEN
                    match = 1
                END IF
            ELSEIF (ptr < len1 and MID$(item1$, ptr + 1, 1) = MID$(item2$, ptr, 1)) THEN
                match = 1
            ELSEIF (ptr < len1 - 1 and MID$(item1$, ptr + 2, 1) = MID$(item2$, ptr, 1)) THEN
                match = 1
            ELSEIF ((ptr < len1 and ptr < len2) and MID$(item1$, ptr + 1, 1) = MID$(item2$, ptr + 1, 1)) THEN
                match = 1
            ELSEIF ((ptr < len1 - 1 and ptr < len2 - 1) and MID$(item1$, ptr + 2, 1) = MID$(item2$, ptr + 2, 1)) THEN
                match = 1
            END IF
            ptr = ptr + 1
        WEND
end if
guthcomp% = match
END FUNCTION
