/*
                 This module is copyright Timothy Gregson, 1992
        It can be used only with the PC Matchmaker record linkage system
    All other use is prohibited, without written consent of copyright holder
*/

//lint -esym(534,qprintat,qcprintat,qprintbat,qcprintbat,qprintfat)
//lint -esym(534,qcprintfat,qvprintfat,qvcprintfat)

#define   SINGLE    256
#define   DOUBLE    257
#define   FILL      true
#define   NOFILL    false
#define   screen    ((struct scr_ch far *)(*mode == 7 ? 0xb0000000L : 0xb8000000L))
#define   qcharat(row, col, ch) ((screen + (row-1)*80 + (col-1))->data = (ch))
#define   qattrat(row, col, at) ((screen + (row-1)*80 + (col-1))->attr = (at))
#define   qchatat(row, col, ch, at) \
            {\
              qcharat (row, col, ch);\
              qattrat (row, col, at);\
            }
#define   getcharat(row, col, ch) ((ch) = (screen + (row-1)*80 + (col-1))->data)
#define   getattrat(row, col, at) ((at) = (screen + (row-1)*80 + (col-1))->attr)
#define   getchatat(row, col, ch, at) \
            {\
              getcharat (row, col, ch);\
              getattrat (row, col, at);\
            }
struct  scr_ch
{
  char  data;
  char  attr;
};

extern  char  far *mode;

short qprintat (short row, short col, char *str);
short qcprintat (short row, short col, char attr, char *str);
void  qprintbat (short row, short col, char *buff, short len);
void  qcprintbat (short row, short col, char attr, char *buff, short len);
short qprintfat (short row, short col, char *fstr, ...);
short qcprintfat (short row, short col, char attr, char *fstr, ...);
short qvprintfat (short row, short col, char *fstr, va_list args);
short qvcprintfat (short row, short col, char attr, char *fstr, va_list args);
void  *qsave_screen (short row1, short col1, short row2, short col2);
void  qrestore_screen (short row1, short col1, short row2, short col2, void **buf);
void  qbuf_screen (short row1, short col1, short row2, short col2, void *buf);
void  qrestore_buf (short row1, short col1, short row2, short col2, void *buf);
void  qhilite (short row, short col, short width);
void  qscroll_up (short row1, short col1, short row2, short col2, short count);
void  qscroll_down (short row1, short col1, short row2, short col2, short count);
void  qscroll_left (short row1, short col1, short row2, short col2, short count);
void  qscroll_right (short row1, short col1, short row2, short col2, short count);

//void     scrmove (struct scr_ch far *dest, struct scr_ch far *src, short count);
//void     rscrmove (struct scr_ch far *dest, struct scr_ch far *src, short count);
