/*
                 This module is copyright Timothy Gregson, 1992
        It can be used only with the PC Matchmaker record linkage system
    All other use is prohibited, without written consent of copyright holder
*/

//struct  edit_flags
//{
//  unsigned  horz_scroll : 1,
//            vert_scroll : 1,
//            read_only   : 1,
//            word_wrap   : 1;
//};

struct  edit_line
{
  char  buf[255];
  struct  edit_line *next;
  struct  edit_line *prev;
};

extern    int   (*winput_ext) (WINDOW *wind, struct edit_line *start, long *home_pos, long *cur_pos, long *line_count, struct key_data *inchar);
extern    int   (*wview_ext) (WINDOW *wind, struct edit_line *start, long *home_pos, long line_count, struct key_data *inchar);

struct  key_data  winput (WINDOW *wind, struct edit_line **start, long *home_pos, long *cur_pos, long *line_count, short *lpos, short *spos, short *changed, short mode);
struct  key_data  wview (WINDOW *wind, char *name);
struct  key_data  wview_data (WINDOW *wind, struct edit_line *start, long *home_pos, long line_count);
void              disp_lines (WINDOW *wind, int row, int col, struct edit_line *start, long line, long count, int width, int spos);
struct  edit_line *load_file (FILE *fp, long *count);
void              save_file (FILE *fp, long *count, struct edit_line *curr_line);
void              quit_file (struct edit_line *curr_line);
void              add_line (struct edit_line **start, long *pos, long *count);
void              delete_line (struct edit_line **start, long *pos, long *count);

