/*
                 This module is copyright Timothy Gregson, 1992
        It can be used only with the PC Matchmaker record linkage system
    All other use is prohibited, without written consent of copyright holder
*/

//lint -esym(534,key_wait,ascii_wait)

// FLAGS FOR KEY WAIT ROUTINES

#define   FLUSH       1
#define   NOFLUSH     0

//  MODE VALUES FOR SINPUT ROUTINE

#define   NORM        0
#define   UPPER       1
#define   LOWER       2
#define   NUMER       3
#define   TRANSNORM   4
#define   TRANSUPPER  5
#define   TRANSLOWER  6

extern  void  (*idle_routine) (void);
extern  int   (*sinput_ext) (short row, short col, char *buf, short *pos, short *spos, struct key_data *inchar);
extern  int   insert_flag;

unsigned  long    linput (short row, short col, short length, char *get_key);
struct  key_data  line_input (short row, short col, short length, char *buf, short *pos, short *spos);
struct  key_data  sinput (short row, short col, short length, short slen, char *str, short *pos, short *spos, short mode);
int               forn_trans (short row, short col, short length, short slen, char *str, short *pos, short mode, struct key_data kd);
void              add_char (short length, short *i, char *str, char ch);
void              del_char (short length, short *i, char *str);
void              del_word (short length, short *i, char *str);
struct  key_data  key_wait (int flush);
char              ascii_wait (int flush);
struct  key_data  key_wait_blink (int flush, short row, short col, char curs, char norm);
char              ascii_wait_blink (int flush, short row, short col, char curs, char norm);
void              blink_wait (short row, short col, char curs, char norm);
