@echo off
if x%5x==xx goto error
if not x%7x==xx goto error
if not x%6x==xx goto setparm
set scrfile=%1\%3
goto cont
:setparm
set scrfile=%6
goto cont
:error
echo Ŀ
echo                                                                              
echo   Usage: iterate dira dirb filea fileb cutoff [scrfile]                      
echo   where    dira    - directory where file a is found                         
echo            dirb    - directory where file b is found                         
echo            filea   - file a's root file name (no extension  Must be .dbf)    
echo            fileb   - file b's root file name (no extension  Must be .dbf)    
echo            cutoff  - value to use as cutoff for trans weight determination   
echo            scrfile - optional compiled script file name (will use dira\filea 
echo                           if not supplied  No extension  Must be .cmp)       
echo                                                                              
echo 
goto exit
:cont
echo ͻ
echo                                 PC MATCHMAKER                               
echo                        A General Record Linkage Program                     
echo           (C) Board of Trustees of the University of Illinois, 1992         
echo                       Portions Copyright Microsoft Corp.                    
echo                       Portions Copyright Timothy Gregson                    
echo                                                                             
echo       THIS PROGRAM IS IN THE PUBLIC DOMAIN AND MAY BE COPIED WITHOUT FEE    
echo                                                                             
echo              Program conceived by Jeremy Atack and Fred Bateman,            
echo                     developed by Mary Eschelbach Gregson,                   
echo                         programmed by Timothy Gregson,                      
echo                 and funded by the National Science Foundation               
echo                    under grants SES-8914861 and SES-9001066                 
echo                                                                             
echo         (QUIKSORT 3.32, a PC Sort/Merge utility and shareware program,      
echo           is copyright 1985-1990 by Omniware Corp.. Distribution of         
echo        QUIKSORT is subject to the conditions laid out in the *** file)      
echo ͼ
tweight %1\%3.dbf %2\%4.dbf %scrfile%.cmp %5
echo if you wish to exit - Press [CTRL]-C
echo if you wish to continue
pause
weight %1\%3.dbf %2\%4.dbf %scrfile%.cmp
if errorlevel==1 goto errexit
quiksort %1\%3.lnk %1\%3.wgt DB weightotal:D
rpt %1\%3.dbf %2\%4.dbf %scrfile%.cmp %1\%3.wgt 0.0 >%1\%3.rpt
echo New Weight Report is in file %1\%3.rpt
echo At this time, please determine the cutoff value.
echo To compute transmission weights and rerun weight calculations, run
echo    iterate dira dirb filea fileb cutoff [scrfile]
echo To apply definite links and create indeterminate file, run
echo    linker dira dirb filea fileb cutoff lnkfld [grpa] [grpb]
goto exit
:errexit
echo An error has occured.  Please correct the situation and run again.
echo The program will pause now so you can see the error message.  When read
pause
:exit
set scrfile=
