/*
                 This module is copyright Timothy Gregson, 1992
        It can be used only with the PC Matchmaker record linkage system
    All other use is prohibited, without written consent of copyright holder
*/

struct  menu_main
{
  short               row1,           // upper left &
                      col1,
                      row2,           // lower right of menu box
                      col2;
  char                tattr;          // attribute for text
  char                battr;          // border attribute
  unsigned            border;         // border type
  char                shadow;         // shadow flag
  short               hil_len;        // length of hi-lite bar
  char                leave;          // flag if should leave window on screen
  short               elem;           // current element in array
  short               num_elem;       // number of items in data array
  struct  menu_data   *data;          // pointer to array of data elements
  struct  key_data    (*func) (struct menu_main *);     // active function for this window
  void                *user_data;     // pointer for user's use
  WINDOW              *wind;          // pointer to window
};

struct  menu_data
{
  short               wrow;           // window coordinates for text string
  short               wcol;
  char                *text;          // pointer to text string
  char                code[3];        // search keypresses that will activate this
  struct  key_data    (*func)(struct menu_main *);      // function for this item
  void                *data;          // allows for pointer to data of some sort
};

struct  key_data  process_menu (struct menu_main *menu);
struct  key_data  sub_menu (struct menu_main *menu);
struct  key_data  vert_menu (struct menu_main *menu);
struct  key_data  horz_menu (struct menu_main *menu);
struct  key_data  ret_key (struct menu_main *menu);
