#include  "mymalloc.hxx"

static char copyright1[] = "(C)Board of Trustees of the University of Illinois, 1992";
static char copyright2[] = "Program conceived by Jeremy Atack and Fred Bateman";
static char copyright3[] = "Developed by Mary Eschelbach Gregson";
static char copyright4[] = "Programmed by Timothy Gregson";
static char copyright5[] = "Funded by the National Science Foundation under grants SES-8914861 and SES-9001066";

void  far   *mymalloc (unsigned size)
{
  unsigned        paras = (size/16) + (size%16 ? 1 : 0);
  union     REGS  regs;
  void      far   *retval;

  regs.h.ah = 0x48;
  regs.x.bx = paras;
  intdos (&regs, &regs);
  if (regs.x.cflag)
    return (NULL);
  else
    return ((void far *)((unsigned long)regs.x.ax << 16));
}

int     myfree (void far *ptr)
{
  union   REGS  regs;
  struct  SREGS sregs;

  segread (&sregs);
  sregs.es = (unsigned)((unsigned long)ptr >> 16);
  regs.h.ah = 0x49;
  intdosx (&regs, &regs, &sregs);
  if (regs.x.cflag)
    return (0);
  return (1);
}
