@echo off
if x%4x==xx goto error
if not x%6x==xx goto error
if x%5x==xx goto build
set scrfile=%5
if not exist %5.scr goto build1
goto cont
:error
echo Ŀ
echo                                                                              
echo   Usage: pcm dira dirb filea fileb [scrfile]                                 
echo   where    dira    - directory where file a is found                         
echo            dirb    - directory where file b is found                         
echo            filea   - file a's root file name (no extension  Must be .dbf)    
echo            fileb   - file b's root file name (no extension  Must be .dbf)    
echo            scrfile - optional script file name (will prompt to build one     
echo                           if not supplied  No extension  Must be .scr)       
echo                                                                              
echo 
goto exit
:build
set scrfile=%1\%3
:build1
script %1\%3.dbf %2\%4.dbf %scrfile%.scr
if errorlevel==1 goto errexit
:cont
echo ͻ
echo                                 PC MATCHMAKER                               
echo                        A General Record Linkage Program                     
echo           (C) Board of Trustees of the University of Illinois, 1992         
echo                       Portions Copyright Microsoft Corp.                    
echo                       Portions Copyright Timothy Gregson                    
echo                                                                             
echo       THIS PROGRAM IS IN THE PUBLIC DOMAIN AND MAY BE COPIED WITHOUT FEE    
echo                                                                             
echo              Program conceived by Jeremy Atack and Fred Bateman,            
echo                     developed by Mary Eschelbach Gregson,                   
echo                         programmed by Timothy Gregson,                      
echo                 and funded by the National Science Foundation               
echo                    under grants SES-8914861 and SES-9001066                 
echo                                                                             
echo         (QUIKSORT 3.32, a PC Sort/Merge utility and shareware program,      
echo           is copyright 1985-1990 by Omniware Corp.. Distribution of         
echo        QUIKSORT is subject to the conditions laid out in the *** file)      
echo ͼ
compile %1\%3.dbf %2\%4.dbf %scrfile%.scr
if errorlevel==1 goto errexit
preproc %1\%3.dbf %2\%4.dbf %scrfile%.cmp
if errorlevel==1 goto errexit
twinit  %1\%3.trn %scrfile%.cmp
if errorlevel==1 goto errexit
freq %1\%3.dbf %2\%4.dbf %scrfile%.cmp
if errorlevel==1 goto errexit
filter %1\%3.dbf %2\%4.dbf %scrfile%.cmp
if errorlevel==1 goto errexit
weight %1\%3.dbf %2\%4.dbf %scrfile%.cmp
if errorlevel==1 goto errexit
quiksort %1\%3.lnk %1\%3.wgt DB weightotal:D
rpt %1\%3.dbf %2\%4.dbf %scrfile%.cmp %1\%3.wgt 0.0 >%1\%3.rpt
echo Weight Report is in file %1\%3.rpt.
echo At this time, please determine the cutoff value.
echo To compute transmission weights and rerun weight calculations, run
echo    iterate dira dirb filea fileb cutoff [scrfile]
echo To apply definite links and create indeterminate file, run
echo    linker dira dirb filea fileb cutoff lnkfld [grpa] [grpb]
goto exit
:errexit
echo An error has occured.  Please correct the situation and run again.
echo The program will pause now so you can see the error message.  When read
pause
:exit
set scrfile=
