/*
(C)Board of Trustees of the University of Illinois, 1992
Program conceived by Jeremy Atack and Fred Bateman
Developed by Mary Eschelbach Gregson
Programmed by Timothy Gregson
Funded by the National Science Foundation under grants SES-8914861 and SES-9001066
*/

struct  list_item *add_item (struct list_item **head, char rec_type);
struct  list_item *find_item (struct list_item *head, int index);
void              del_items (struct list_item *head);
void              delete_item (struct list_item **head, int index);
void              disp_items (WINDOW *wind, short col_width, int *head, int count, struct list_item *list);
struct  key_data  list_dbflds (short start_row, short start_col, struct fldinfo *fldlist, int numflds, int *pos);
void              disp_dbflds (WINDOW *wind, short col_width, int *head, int count, struct fldinfo *list);
struct  key_data  get_value (char *value, short len, char *header);
void              write_section (FILE *fp, char *header, struct list_item *list, short item_count);
struct  key_data  list_types (struct type_list *list, int *pos);
void              disp_types (WINDOW *wind, short col_width, int *head, int count, struct type_list *list);
